JmolAnnotationParser
Date: 2019-10-22

org.jmol.api

## Interface JmolAnnotationParser

- All Known Implementing Classes:
    AnnotationParser, DSSR1

      public interface JmolAnnotationParser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `calculateDSSRStructure(Viewer vwr, javajs.util.BS bsAtoms)`
    `java.lang.String` | `catalogStructureUnits(Viewer vwr, SV svMap, int[] modelAtomIndices, java.util.Map<java.lang.String,int[]> resMap, java.lang.Object object, java.util.Map<java.lang.String,java.lang.Integer> modelMap)`
    `javajs.util.Lst<java.lang.Object>` | `catalogValidations(Viewer vwr, SV validation, int[] modelAtomIndices, java.util.Map<java.lang.String,int[]> valResMap, java.util.Map<java.lang.String,java.lang.Integer> map, java.util.Map<java.lang.String,java.lang.Integer> modelMap)`
    `void` | `fixAtoms(int modelIndex, SV v, javajs.util.BS bsAddedMask, int type, int margin)`
    `java.lang.String` | `fixDSSRJSONMap(java.util.Map<java.lang.String,java.lang.Object> map)`
    `java.lang.String` | `getAnnotationInfo(Viewer vwr, SV a, java.lang.String match, int type, int modelIndex)`
    `javajs.util.BS` | `getAtomBits(Viewer vwr, java.lang.String key, java.lang.Object dssr, java.util.Map<java.lang.String,java.lang.Object> cache, int type, int modelIndex, javajs.util.BS bsModel)`
    `void` | `getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, java.lang.String dataType)`
    `javajs.util.Lst<java.lang.Float>` | `getAtomValidation(Viewer vwr, java.lang.String type, Atom atom)`
    `void` | `getBasePairs(Viewer vwr, int modelIndex)`
    `javajs.util.P3[]` | `getDSSRFrame(java.util.Map<java.lang.String,java.lang.Object> dssrNT)`
    `java.lang.String` | `getHBonds(ModelSet ms, int modelIndex, javajs.util.Lst<Bond> vHBonds, boolean doReport)`
    `javajs.util.Lst<SV>` | `initializeAnnotation(SV objAnn, int type, int modelIndex)`
    `void` | `setGroup1(ModelSet ms, int modelIndex)`

- - ### Method Detail

    - #### fixDSSRJSONMap

          java.lang.String fixDSSRJSONMap(java.util.Map<java.lang.String,java.lang.Object> map)

    - #### getAtomBits

          javajs.util.BS getAtomBits(Viewer vwr,
                                     java.lang.String key,
                                     java.lang.Object dssr,
                                     java.util.Map<java.lang.String,java.lang.Object> cache,
                                     int type,
                                     int modelIndex,
                                     javajs.util.BS bsModel)

    - #### getBasePairs

          void getBasePairs(Viewer vwr,
                            int modelIndex)

    - #### getHBonds

          java.lang.String getHBonds(ModelSet ms,
                                     int modelIndex,
                                     javajs.util.Lst<Bond> vHBonds,
                                     boolean doReport)

    - #### getAtomicDSSRData

          void getAtomicDSSRData(ModelSet ms,
                                 int modelIndex,
                                 float[] dssrData,
                                 java.lang.String dataType)

    - #### calculateDSSRStructure

          java.lang.String calculateDSSRStructure(Viewer vwr,
                                                  javajs.util.BS bsAtoms)

    - #### getAnnotationInfo

          java.lang.String getAnnotationInfo(Viewer vwr,
                                             SV a,
                                             java.lang.String match,
                                             int type,
                                             int modelIndex)

    - #### catalogValidations

          javajs.util.Lst<java.lang.Object> catalogValidations(Viewer vwr,
                                                               SV validation,
                                                               int[] modelAtomIndices,
                                                               java.util.Map<java.lang.String,int[]> valResMap,
                                                               java.util.Map<java.lang.String,java.lang.Integer> map,
                                                               java.util.Map<java.lang.String,java.lang.Integer> modelMap)

    - #### initializeAnnotation

          javajs.util.Lst<SV> initializeAnnotation(SV objAnn,
                                                   int type,
                                                   int modelIndex)

    - #### getAtomValidation

          javajs.util.Lst<java.lang.Float> getAtomValidation(Viewer vwr,
                                                             java.lang.String type,
                                                             Atom atom)

    - #### fixAtoms

          void fixAtoms(int modelIndex,
                        SV v,
                        javajs.util.BS bsAddedMask,
                        int type,
                        int margin)

    - #### catalogStructureUnits

          java.lang.String catalogStructureUnits(Viewer vwr,
                                                 SV svMap,
                                                 int[] modelAtomIndices,
                                                 java.util.Map<java.lang.String,int[]> resMap,
                                                 java.lang.Object object,
                                                 java.util.Map<java.lang.String,java.lang.Integer> modelMap)

    - #### setGroup1

          void setGroup1(ModelSet ms,
                         int modelIndex)

    - #### getDSSRFrame

          javajs.util.P3[] getDSSRFrame(java.util.Map<java.lang.String,java.lang.Object> dssrNT)